FrameTag (Struts Taglib 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class FrameTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.BaseHandlerTag
                  org.apache.struts.taglib.html.LinkTag
                      org.apache.struts.taglib.html.FrameTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

    public class FrameTag

extends LinkTag

Generate an HTML `<frame>` tag with similar capabilities as those the `<html:link>` tag provides for hyperlink elements. The `src` element is rendered using the same technique that `LinkTag` uses to render the `href` attribute of a hyperlink. Additionall, the HTML 4.0 frame tag attributes `noresize`, `scrolling`, `marginheight`, `marginwidth`, `frameborder`, and `longdesc` are supported. The frame `name` attribute is rendered based on the `frameName` property. Note that the value of `longdesc` is intended to be a URI, but currently no rewriting is supported. The attribute is set directly from the property value.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2004-10-16 12:38:42 -0400 (Sat, 16 Oct 2004) $
See Also:
  Serialized Form

Field Summary
`protected String` | `frameborder` The frameborder attribute that should be rendered (1, 0).
`protected String` | `frameName` The `name` attribute that should be rendered for this frame.
`protected String` | `longdesc` URI of a long description of this frame (complements title).
`protected Integer` | `marginheight` The margin height in pixels, or zero for no setting.
`protected Integer` | `marginwidth` The margin width in pixels, or null for no setting.
`protected boolean` | `noresize` Should users be disallowed to resize the frame?
`protected String` | `scrolling` What type of scrolling should be supported (yes, no, auto)?

Fields inherited from class org.apache.struts.taglib.html.LinkTag
`action, anchor, forward, href, indexId, linkName, messages, module, name, page, parameters, paramId, paramName, paramProperty, paramScope, property, scope, target, text, transaction, useLocalEncoding`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, doDisabled, doReadonly, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FrameTag()`

Method Summary
`int` | `doEndTag()` Render the appropriately encoded URI.
`String` | `getFrameborder()`
`String` | `getFrameName()`
`String` | `getLongdesc()`
`Integer` | `getMarginheight()`
`Integer` | `getMarginwidth()`
`boolean` | `getNoresize()`
`String` | `getScrolling()`
`void` | `release()` Release any acquired resources.
`void` | `setFrameborder(String frameborder)`
`void` | `setFrameName(String frameName)`
`void` | `setLongdesc(String longdesc)`
`void` | `setMarginheight(Integer marginheight)`
`void` | `setMarginwidth(Integer marginwidth)`
`void` | `setNoresize(boolean noresize)`
`void` | `setScrolling(String scrolling)`

Methods inherited from class org.apache.struts.taglib.html.LinkTag
`addParameter, calculateURL, doAfterBody, doStartTag, getAction, getAnchor, getForward, getHref, getIndexId, getLinkName, getModule, getName, getPage, getParamId, getParamName, getParamProperty, getParamScope, getProperty, getScope, getTarget, getTransaction, isUseLocalEncoding, setAction, setAnchor, setForward, setHref, setIndexId, setLinkName, setModule, setName, setPage, setParamId, setParamName, setParamProperty, setParamScope, setProperty, setScope, setTarget, setTransaction, setUseLocalEncoding`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDir, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLang, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareInternationalization, prepareKeyEvents, prepareMouseEvents, prepareName, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDir, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLang, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### frameborder

    protected String frameborder

  The frameborder attribute that should be rendered (1, 0).

### frameName

    protected String frameName

  The `name` attribute that should be rendered for this frame.

### longdesc

    protected String longdesc

  URI of a long description of this frame (complements title).

### marginheight

    protected Integer marginheight

  The margin height in pixels, or zero for no setting.

### marginwidth

    protected Integer marginwidth

  The margin width in pixels, or null for no setting.

### noresize

    protected boolean noresize

  Should users be disallowed to resize the frame?

### scrolling

    protected String scrolling

  What type of scrolling should be supported (yes, no, auto)?

Constructor Detail

### FrameTag

    public FrameTag()

Method Detail

### getFrameborder

    public String getFrameborder()

### setFrameborder

    public void setFrameborder(String frameborder)

### getFrameName

    public String getFrameName()

### setFrameName

    public void setFrameName(String frameName)

### getLongdesc

    public String getLongdesc()

### setLongdesc

    public void setLongdesc(String longdesc)

### getMarginheight

    public Integer getMarginheight()

### setMarginheight

    public void setMarginheight(Integer marginheight)

### getMarginwidth

    public Integer getMarginwidth()

### setMarginwidth

    public void setMarginwidth(Integer marginwidth)

### getNoresize

    public boolean getNoresize()

### setNoresize

    public void setNoresize(boolean noresize)

### getScrolling

    public String getScrolling()

### setScrolling

    public void setScrolling(String scrolling)

### doEndTag

    public int doEndTag()
                 throws JspException

  Render the appropriately encoded URI.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `LinkTag`
  Throws:
    `JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `LinkTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.